Package org.springframework.security.web.webauthn.api

# Class ImmutablePublicKeyCredentialUserEntity

java.lang.Object
org.springframework.security.web.webauthn.api.ImmutablePublicKeyCredentialUserEntity

All Implemented Interfaces:
  `Serializable`, `PublicKeyCredentialUserEntity`

public final class ImmutablePublicKeyCredentialUserEntity extends Object implements PublicKeyCredentialUserEntity
PublicKeyCredentialUserEntity is used to supply additional user account attributes when creating a new credential.

Since:
  6.4
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ImmutablePublicKeyCredentialUserEntity.PublicKeyCredentialUserEntityBuilder`
Used to build `PublicKeyCredentialUserEntity`.

## Method Summary

Modifier and Type
Method
Description
`static ImmutablePublicKeyCredentialUserEntity.PublicKeyCredentialUserEntityBuilder`
`builder()`
Create a new `ImmutablePublicKeyCredentialUserEntity.PublicKeyCredentialUserEntityBuilder`
`String`
`getDisplayName()`
The displayName is a human-palatable name for the user account, intended only for display.
`Bytes`
`getId()`
The id is the user handle of the user account.
`String`
`getName()`
The name property is a human-palatable identifier for a user account.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getName

public String getName()
Description copied from interface: `PublicKeyCredentialUserEntity`
The name property is a human-palatable identifier for a user account.

Specified by:
  `getName` in interface `PublicKeyCredentialUserEntity`
Returns:
  the name

### getId

public Bytes getId()
Description copied from interface: `PublicKeyCredentialUserEntity`
The id is the user handle of the user account. A user handle is an opaque byte sequence with a maximum size of 64 bytes, and is not meant to be displayed to the user.

Specified by:
  `getId` in interface `PublicKeyCredentialUserEntity`
Returns:
  the user handle of the user account

### getDisplayName

public String getDisplayName()
Description copied from interface: `PublicKeyCredentialUserEntity`
The displayName is a human-palatable name for the user account, intended only for display.

Specified by:
  `getDisplayName` in interface `PublicKeyCredentialUserEntity`
Returns:
  the display name

### builder

public static ImmutablePublicKeyCredentialUserEntity.PublicKeyCredentialUserEntityBuilder builder()
Create a new `ImmutablePublicKeyCredentialUserEntity.PublicKeyCredentialUserEntityBuilder`

Returns:
  a new `ImmutablePublicKeyCredentialUserEntity.PublicKeyCredentialUserEntityBuilder`